<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class overrides Kohana's Form
 *
 * @package    OSB
 * @category   Modifications
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Form extends Kohana_Form {
	// Enable 3.0 features, default to current URI for empty Form::open()
	public static function open($action = NULL, array $attributes = NULL) {
		return parent::open(is_null($action) ? Request::detect_uri() : $action,$attributes);
	}
}
?>
